import {TypedGlNode} from "./_Base";
import {NodeParamsConfig} from "../utils/params/ParamsConfig";
class GlobalsGlParamsConfig extends NodeParamsConfig {
}
const ParamsConfig2 = new GlobalsGlParamsConfig();
export class GlobalsGlNode extends TypedGlNode {
  constructor() {
    super(...arguments);
    this.params_config = ParamsConfig2;
  }
  static type() {
    return "globals";
  }
  initializeNode() {
    super.initializeNode();
    this.lifecycle.add_on_add_hook(() => {
      this.material_node?.assemblerController?.add_globals_outputs(this);
    });
  }
  set_lines(shaders_collection_controller) {
    this.material_node?.assemblerController?.assembler.set_node_lines_globals(this, shaders_collection_controller);
  }
}
